%[x] = gmres_vbilut(...)
%[x its] = gmres_vbilut(...)
%
%x is solution of Ax = b, its is the iteration number.
%
%[...] = gmres_vbilut(A,b)
%[...] = gmres_vbilut(A,b, max_its,tol,dim);
%[...] = gmres_vbilut(A,b, max_its,tol,dim, lfil0,tol0);
%
%default value:
%For gmres:
%60              1. dims     = dimension of Krylov subspace in (outer) FGMRES
%200             2. max_its  = maxits in outer fgmres. 
%1.0e-8          3. tol     = tolerance for stopping iteration
%For vbilut preconditioner
%50              4. lfil0   = initial lfil
%0.001           5. tol0    = initial tol
%
%INPUT PARAMETERS
%----------------------------------
%dim         : dimension of Krylov subspace in (outer) FGMRES
%max_its     : Maximum number of outer iterations
%tol         : tolerance for stopping iteration
%lfil0       : initial fill-in parameter
%tol0        : the initial threshold for dropping small terms in the factorization

